import actualInventoryDistributionTable from '@/page/bordereaux/actualInventoryDistributionTable'
import bookInventoryDistributionTable from '@/page/bordereaux/bookInventoryDistributionTable'
import grainReserves from '@/page/bordereaux/grainReserves'
import lossCalculation from '@/page/bordereaux/lossCalculation'
import monthlyBalanceReportDf from '@/page/bordereaux/monthlyBalanceReportDf'
import monthlyBalanceReportLy from '@/page/bordereaux/monthlyBalanceReportLy'
import reserveGrainAndOilRotation from '@/page/bordereaux/reserveGrainAndOilRotation'
import reserveTank from '@/page/bordereaux/reserveTank'
import riceGx from '@/page/bordereaux/riceGx'
import rotationTable from '@/page/bordereaux/rotationTable'
import wheatGx from '@/page/bordereaux/wheatGx'
import getBranch from '@/page/bordereaux/emergency/getBranch'
import getEmergency from '@/page/bordereaux/emergency/getEmergency'

export default {
    path: '/ywbb',
    name: 'ywbb',
    component: {
        render(c) {
            return c('router-view')
        }
    },
    meta: {
        title: '业务报表'
    },
    children: [
        {
            path: '/ywbb/actualInventoryDistributionTable',
            name: 'actualInventoryDistributionTable',
            component: actualInventoryDistributionTable,
            meta: {
                title: '市储粮实际库存分布表'
            }
        },
        {
            path: '/ywbb/bookInventoryDistributionTable',
            name: 'bookInventoryDistributionTable',
            component: bookInventoryDistributionTable,
            meta: {
                title: '储备账面库存分布表'
            }
        },
        {
            path: '/ywbb/grainReserves',
            name: 'grainReserves',
            component: grainReserves,
            meta: {
                title: '天津市储备粮业务管理表'
            }
        },
        {
            path: '/ywbb/lossCalculation',
            name: 'lossCalculation',
            component: lossCalculation,
            meta: {
                title: '损耗计算'
            }
        },
        {
            path: '/ywbb/monthlyBalanceReportDf',
            name: 'monthlyBalanceReportDf',
            component: monthlyBalanceReportDf,
            meta: {
                title: '地方储备粮收支平衡月报'
            }
        },
        {
            path: '/ywbb/monthlyBalanceReportLy',
            name: 'monthlyBalanceReportLy',
            component: monthlyBalanceReportLy,
            meta: {
                title: '国有粮食企业收支平衡月报'
            }
        },
        {
            path: '/ywbb/reserveGrainAndOilRotation',
            name: 'reserveGrainAndOilRotation',
            component: reserveGrainAndOilRotation,
            meta: {
                title: '天津市储备粮油轮换情况季报表'
            }
        },
        {
            path: '/ywbb/reserveTank',
            name: 'reserveTank',
            component: reserveTank,
            meta: {
                title: '天津市储备油业务管理表'
            }
        },
        {
            path: '/ywbb/riceGx',
            name: 'riceGx',
            component: riceGx,
            meta: {
                title: '稻谷购、销外省市'
            }
        },
        {
            path: '/ywbb/rotationTable',
            name: 'rotationTable',
            component: rotationTable,
            meta: {
                title: '市储粮轮换（实际库存）情况表'
            }
        },
        {
            path: '/ywbb/wheatGx',
            name: 'wheatGx',
            component: wheatGx,
            meta: {
                title: '小麦购、销外省市'
            }
        },
        // 应急企业名单
        {
            path: '/emergency',
            name: 'emergency',
            component: {
                render(c) {
                    return c('router-view')
                }
            },
            meta: {
                title: '应急企业名单'
            },
            children: [
                {
                    path: '/ywbb/emergency/getBranch',
                    name: 'getBranch',
                    component: getBranch,
                    meta: {
                        title: '粮食应急供应网点报表'
                    }
                },
                {
                    path: '/ywbb/emergency/getEmergency',
                    name: 'getEmergency',
                    component: getEmergency,
                    meta: {
                        title: '粮食应急加工企业报表'
                    }
                }
            ]
        }
    ]
}
