import budgetApplication from '@/page/financialStatement/budgetApplication'
import liquidationApplication from '@/page/financialStatement/liquidationApplication'
import purchaseAndSalesAndStorage from '@/page/financialStatement/purchaseAndSalesAndStorage'
import storageFeesMonthlySummary from '@/page/financialStatement/storageFeesMonthlySummary'
import subsidy from '@/page/financialStatement/subsidy'
import subsidySummary from '@/page/financialStatement/subsidySummary'
import commonDetail from '@/page/common/detail'
import balanceSheet from '@/page/financialStatement/balanceSheet/index'
import balanceSheetDetail from '@/page/financialStatement/balanceSheet/detail'
import cashFlowSheet from '@/page/financialStatement/cashFlowSheet/index'
import cashFlowSheetDetail from '@/page/financialStatement/cashFlowSheet/detail'
import profitSheet from '@/page/financialStatement/profitSheet/index'
import profitSheetDetail from '@/page/financialStatement/profitSheet/detail'

import enterpriseReports from '@/page/financialStatement/enterpriseReports'
import rateSetting from '@/page/financialStatement/rateSetting'


export default {
    path: '/ywbb',
    name: 'ywbb',
    component: {
        render(c) {
            return c('router-view')
        }
    },
    meta: {
        title: '财务报表'
    },
    children: [
        {
            path: '/ywbb/common/detail',
            name: 'commonDetail',
            component: commonDetail,
            meta: {
                title: '详情'
            }
        },
        {
            path: '/ywbb/cwbb/budgetApplication',
            name: 'budgetApplication',
            component: budgetApplication,
            meta: {
                title: '市级储备粮轮换补贴预算申请表'
            }
        },
        {
            path: '/ywbb/cwbb/liquidationApplication',
            name: 'liquidationApplication',
            component: liquidationApplication,
            meta: {
                title: '市级储备粮轮换补贴清算申请表'
            }
        },
        {
            path: '/ywbb/cwbb/purchaseAndSalesAndStorage',
            name: 'purchaseAndSalesAndStorage',
            component: purchaseAndSalesAndStorage,
            meta: {
                title: '地方储备粮油进销存报表-总汇总'
            }
        },
        {
            path: '/ywbb/cwbb/storageFeesMonthlySummary',
            name: 'storageFeesMonthlySummary',
            component: storageFeesMonthlySummary,
            meta: {
                title: '各单位储存费月份汇总'
            }
        },
        {
            path: '/ywbb/cwbb/subsidy',
            name: 'subsidy',
            component: subsidy,
            meta: {
                title: '地方储备粮油进销存报表、补贴表'
            }
        },
        {
            path: '/ywbb/cwbb/subsidySummary',
            name: 'subsidySummary',
            component: subsidySummary,
            meta: {
                title: '补贴汇总表-储存费-各单位、每月补贴'
            }
        },
		{
		    path: '/ywbb/cwbb/balanceSheet',
		    name: 'balanceSheet',
		    component: balanceSheet,
		    meta: {
		        title: '资产负债表'
		    }
		},
		{
		    path: '/ywbb/cwbb/balanceSheetDetail',
		    name: 'balanceSheetDetail',
		    component: balanceSheetDetail,
		    meta: {
		        title: '资产负债表详情'
		    }
		},
		{
		    path: '/ywbb/cwbb/cashFlowSheet',
		    name: 'cashFlowSheet',
		    component: cashFlowSheet,
		    meta: {
		        title: '现金流量表'
		    }
		},
		{
		    path: '/ywbb/cwbb/cashFlowSheetDetail',
		    name: 'cashFlowSheetDetail',
		    component: cashFlowSheetDetail,
		    meta: {
		        title: '现金流量表详情'
		    }
		},
		{
		    path: '/ywbb/cwbb/profitSheet',
		    name: 'profitSheet',
		    component: profitSheet,
		    meta: {
		        title: '利润表'
		    }
		},
		{
		    path: '/ywbb/cwbb/profitSheetDetail',
		    name: 'profitSheetDetail',
		    component: profitSheetDetail,
		    meta: {
		        title: '利润表详情'
		    }
		},
		{
		    path: '/ywbb/cwbb/enterpriseReports',
		    name: 'enterpriseReports',
		    component: enterpriseReports,
		    meta: {
		        title: '承储企业报表'
		    }
		},
		{
		    path: '/ywbb/cwbb/rateSetting',
		    name: 'rateSetting',
		    component: rateSetting,
		    meta: {
		        title: '费率设置'
		    }
		},	
    ]
}
